abstract type AbstractSusceptibility end
@with_kw struct LorentzianSusceptibility <: AbstractSusceptibility
    frequency
    gamma
    sigma
end
@with_kw struct DrudeSusceptibility <: AbstractSusceptibility
    frequency
    gamma
    sigma
end
function eval_susceptibility(s::LorentzianSusceptibility, f)
    @unpack frequency, gamma, sigma = s
    return frequency^2 / (frequency^2 - f^2 - im * gamma * f) * sigma
end

function eval_susceptibility(s::DrudeSusceptibility, f)
    @unpack frequency, gamma, sigma = s
    -frequency^2 / (f * (f + im * gamma)) * sigma
end